Bug 244374 - www/tomcat{85,9}: Add NLS support
Summary: www/tomcat{85,9}: Add NLS support
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Dima Panov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-02-24 17:13 UTC by Michael Osipov
Modified: 2020-02-29 16:50 UTC (History)
3 users (show)

See Also:
vvd: maintainer-feedback+


Attachments
Patch against /usr/ports/www/tomcat85 (1.26 KB, patch)
2020-02-24 17:13 UTC, Michael Osipov
no flags Details | Diff
Patch against /usr/ports/www/tomcat9 (1.39 KB, patch)
2020-02-25 17:50 UTC, Michael Osipov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Osipov 2020-02-24 17:13:39 UTC
Created attachment 211901 [details]
Patch against /usr/ports/www/tomcat85

Tomcat comes with resource bundles for various languages. Those are used in responses and logs. Sometimes, it is not desired to have them. The attached patch adds NLS support omitting them from the installation.

Same patch can be providef for 9.0 too.
Comment 1 VVD 2020-02-24 17:27:04 UTC
Do we need some ${RM} in Makefile?
Something like this in post-patch section: @${RM} ${WRKSRC}/lib/tomcat-i18n-*.jar
Comment 2 Michael Osipov 2020-02-24 19:10:13 UTC
(In reply to VVD from comment #1)

No, I ran it through Poudriere and received no errors/warning. The best thing is that %%NLS%% is replaced with @comment if disabled. So no file will be stale or missing from pkg-plist.
Comment 3 VVD 2020-02-24 20:26:33 UTC
Ok.

Attach same patch for 9.0 too, plz. :-]
Comment 4 Michael Osipov 2020-02-25 17:50:42 UTC
Created attachment 211931 [details]
Patch against /usr/ports/www/tomcat9

Here it is. Runs fine in Poudriere.
Comment 5 VVD 2020-02-25 18:17:56 UTC
Comment on attachment 211931 [details]
Patch against /usr/ports/www/tomcat9

OK.
Look fine for me.
Comment 6 VVD 2020-02-25 18:19:14 UTC
(In reply to VVD from comment #5)
How to set maintainer-approval on file? Tried, but no result…
Comment 7 Michael Osipov 2020-02-26 10:32:52 UTC
(In reply to VVD from comment #6)

I see a plus here. Looks fine to me. One might want to bump port revision again.
Comment 8 Dima Panov freebsd_committer 2020-02-29 16:29:00 UTC
Take it
Comment 9 commit-hook freebsd_committer 2020-02-29 16:49:08 UTC
A commit references this bug:

Author: fluffy
Date: Sat Feb 29 16:48:47 UTC 2020
New revision: 527443
URL: https://svnweb.freebsd.org/changeset/ports/527443

Log:
  www/tomcat[8|95]: add NLS option, OFF by default

  Tomcat comes with resource bundles for various languages. Those are used in responses and logs. Sometimes, it is not desired to have them.
  Add NLS option support omitting them from the installation.
  Bump PORTREVISION

  PR:		244374
  Submitted by:	Michael Osipov
  Approved by:	maintainer

Changes:
  head/www/tomcat85/Makefile
  head/www/tomcat85/pkg-plist
  head/www/tomcat9/Makefile
  head/www/tomcat9/pkg-plist
Comment 10 Dima Panov freebsd_committer 2020-02-29 16:50:04 UTC
Committed, thanks!